---
title: List Dashboards
description: Reference for the GET /console/v1/dashboards API endpoint.
product: general
token_estimate: 1438
---
# List Dashboards

> For AI agents: a documentation index is available at [/llms.txt](/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## List Dashboards

**GET** `/console/v1/dashboards`

Full URL: `https://statsigapi.net/console/v1/dashboards`

List Dashboards

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| STATSIG-API-KEY | string | Yes | — | apiKey (header) |

## Query parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| limit (query) | integer | No | 10 | Results per page Constraints: string, number |
| page (query) | integer | No | 1 | Page number Constraints: string, number |
| search (query) | string | No | growth | Filter dashboards by name using a partial match. Constraints: min length: 1 |

## Response (application/json)

**200** — List dashboards response

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| message | string | Yes | — | A simple string explaining the result of the operation. |
| data | object[] | Yes | — | — |
| data.id | string | Yes | — | — |
| data.name | string | Yes | — | — |
| data.description | string | Yes | — | — |
| data.defaults | object | No | — | — |
| data.defaults.date | object | No | — | — |
| data.defaults.date.value | integer | Yes | — | Constraints: format: int64, min: 0 |
| data.defaults.date.unit | string | Yes | — | Allowed values: day, week, month |
| data.defaults.granularity | string | No | — | Allowed values: auto, daily, weekly, monthly |
| data.created_time | number | Yes | — | Constraints: format: double |
| data.modified_time | number | Yes | — | Constraints: format: double |
| data.widget_count | integer | Yes | — | Constraints: format: int64, min: 0 |
| data.is_verified | boolean | No | — | Constraints: nullable |
| pagination | object | Yes | — | Pagination metadata for checking if there is next page for example. |
| pagination.itemsPerPage | number | Yes | — | Constraints: format: double |
| pagination.pageNumber | number | Yes | — | Constraints: format: double |
| pagination.nextPage | string | Yes | — | Constraints: nullable |
| pagination.previousPage | string | Yes | — | Constraints: nullable |
| pagination.totalItems | number | No | — | Constraints: format: double |
| pagination.all | string | No | — | — |

```json
{
  "message": "Dashboards Listed Successfully",
  "data": [
    {
      "id": "dashboard_id",
      "name": "My Dashboard",
      "description": "desc",
      "defaults": {
        "date": {
          "value": 14,
          "unit": "day"
        },
        "granularity": "daily"
      },
      "created_time": 1736208000,
      "modified_time": 1736294400,
      "widget_count": 1,
      "is_verified": true
    }
  ],
  "pagination": {
    "itemsPerPage": 20,
    "pageNumber": 1,
    "nextPage": null,
    "previousPage": null,
    "totalItems": 1,
    "all": "/console/v1/dashboards"
  }
}
```

**404** — Not Found. The requested resource could not be found.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| status | integer | Yes | — | Allowed values: 404 |
| message | string | Yes | — | — |

```json
{
  "status": 404,
  "message": "Not Found. The requested resource could not be found."
}
```

## Code samples

### cURL

```bash
curl -X GET "https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth" \
  -H "Content-Type: application/json" \
  -H "STATSIG-API-KEY: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth",
    headers={
        "Content-Type": "application/json",
        "STATSIG-API-KEY": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "STATSIG-API-KEY": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "STATSIG-API-KEY: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("STATSIG-API-KEY", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("STATSIG-API-KEY", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://statsigapi.net/console/v1/dashboards?limit=10&page=1&search=growth")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["STATSIG-API-KEY"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

